package cn.superdesk.uniorder.common.excel.biz;


@Deprecated
public class ExcelDzUtils2 {


	public static String convertDzStatus(Byte status) {
		//对账单状态,0-未确认,1-已确认,-1-已取消,2-已拒绝
		String resultStr = "";
		switch (status) {
			case 0:
				resultStr = "未确认";
				break;
			case 1:
				resultStr = "已确认";
				break;
			case -1:
				resultStr = "已取消";
				break;
			case 2:
				resultStr = "已拒绝";
				break;

			default:
				resultStr = "未确认";
				break;
		}
		return resultStr;
	}

	public static String convertStatus(Byte status) {
		//状态 -1:已关闭,0:待付款,1:待发货,2:待收货,3:已完成
		String resultStr = "";
		switch (status) {
			case -1:
				resultStr = "已关闭";
				break;
			case 0:
				resultStr = "待付款";
				break;
			case 1:
				resultStr = "待发货";
				break;
			case 2:
				resultStr = "待收货";
				break;
			case 3:
				resultStr = "已完成";
				break;
			default:
				resultStr = "已关闭";
				break;
		}
		return resultStr;
	}

	public static String convertPaytype(Byte paytype) {
		//0为未支付 1为余额支付 2在线支付 3 企业月结 11 后台付款 21 微信支付 22 支付宝支付 23 银联支付
		String resultStr = "";
		switch (paytype) {
			case 0:
				resultStr = "未支付";
				break;
			case 1:
				resultStr = "余额支付";
				break;
			case 2:
				resultStr = "在线支付";
				break;
			case 3:
				resultStr = "企业月结";
				break;
			case 11:
				resultStr = "后台付款";
				break;
			case 21:
				resultStr = "微信支付";
				break;
			case 22:
				resultStr = "支付宝支付";
				break;
			case 23:
				resultStr = "银联支付";
				break;
			default:
				resultStr = "未支付";
				break;
		}
		return resultStr;
	}
}
